#ifndef TASK_SERVER_BITMAP_H
#define TASK_SERVER_BITMAP_H

#include <l4/types.h>

/* Handling of bitmaps */
static inline l4_word_t
bit_p(unsigned bit, const l4_word_t *map)
{
  return map[bit / L4_BITS_PER_WORD] & (1UL << (bit % L4_BITS_PER_WORD)); 
}

static inline void
bit_set(unsigned bit, l4_word_t *map)
{
  map[bit / L4_BITS_PER_WORD] |= (1UL << (bit % L4_BITS_PER_WORD)); 
}

static inline void
bit_clear(unsigned bit, l4_word_t *map)
{
  map[bit / L4_BITS_PER_WORD] &= ~(1UL << (bit % L4_BITS_PER_WORD)); 
}

#endif /* TASK_SERVER_BITMAP_H */
